Skip to main content
PATCH
/
api
/
sip
cURL
curl --request PATCH \
  --url https://api.ultravox.ai/api/sip \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "allowedCidrRanges": [
    "<string>"
  ],
  "allowAllAgents": false,
  "allowedAgents": [
    {
      "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "toUserPattern": "<string>"
    }
  ]
}
'
{
  "allowedAgents": [
    {
      "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "toUserPattern": "<string>"
    }
  ],
  "domain": "<string>",
  "allowedCidrRanges": [
    "<string>"
  ],
  "allowAllAgents": false,
  "fallbackHandler": {
    "url": "<string>",
    "secrets": [
      "<string>"
    ]
  }
}

Authorizations

X-API-Key
string
header
required

API key

Body

application/json
allowedCidrRanges
string<ipv4-cidr>[]

The list of IPv4 CIDR ranges from which incoming SIP calls will be accepted.

allowAllAgents
boolean
default:false

If true, adds an implicit allowance for requests matching agent_<agent_id>@ for any of your agents.

allowedAgents
object[]

Calls must match a pattern for one of these agents (or the global agent pattern if allowAllAgents is true) to be accepted.

Maximum array length: 20
fallbackHandler
object

If set, this webhook is consulted for any incoming SIP call that does not match an agent allowance (including the allowAllAgents allowance if set). The endpoint must respond promptly with a 200 status and a JSON body with exactly one of startAgentCall, startCall, or reject. The first two use the request body for the associated call creation endpoints plus agentId in the former case, while reject may include sipRejectCode (default 603) to pass along to the caller.

Response

200 - application/json
allowedAgents
object[]
required

Calls must match a pattern for one of these agents (or the global agent pattern if allowAllAgents is true) to be accepted.

Maximum array length: 20
domain
string
required
read-only

The domain used for SIP invites for your account.

allowedCidrRanges
string<ipv4-cidr>[]

The list of IPv4 CIDR ranges from which incoming SIP calls will be accepted.

allowAllAgents
boolean
default:false

If true, adds an implicit allowance for requests matching agent_<agent_id>@ for any of your agents.

fallbackHandler
object

If set, this webhook is consulted for any incoming SIP call that does not match an agent allowance (including the allowAllAgents allowance if set). The endpoint must respond promptly with a 200 status and a JSON body with exactly one of startAgentCall, startCall, or reject. The first two use the request body for the associated call creation endpoints plus agentId in the former case, while reject may include sipRejectCode (default 603) to pass along to the caller.